Subject: bug#60110: 29.0.60; ruby-mode method parameter alignment

From: Dmitry Gutov <[email-masked]>
Date: Mon, 19 Dec 2022 03:00:21 +0200

On 19/12/2022 00:53, Aaron Jensen wrote:

> Next question is... is there an existing setting to change the
> indentation of expressions like:
> 
> x = [3,4].
>        map { |x| x * 2 }
> 
> Like everything else, I just want a 2 space indent, no alignment,
> nothing clever:
> 
> x = [3,4].
>    map { |x| x * 2 }
> 
> I can open another issue for this if there's no existing option and
> you'd like me to.

Yes, please.

That's going to be more difficult, though, since this part stems from 
the default SMIE indentation behavior.

It will help to be specific: whether you are concerned about this 
behavior for assignments only (and probably for operators like +=, /=, 
&=, etc), or whether there are other tokens/keywords like that.

Or whether adding an option for = and friends will get us 99% there, maybe.